Bug 1402590 - Review Request: ecryptfs-simple - A CLI front end to ecryptfs that works with normal user account
Summary: Review Request: ecryptfs-simple - A CLI front end to ecryptfs that works with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-07 22:22 UTC by Raphael Groner
Modified: 2017-03-11 12:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-11 11:49:53 UTC
rdieter: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1178673 None CLOSED Please package ecryptfs-utils for EPEL7 2019-02-19 00:09:10 UTC
Red Hat Bugzilla 1400754 None CLOSED zulucrypt-5.0.2 is available 2019-02-19 00:09:10 UTC

Internal Links: 1178673 1400754

Description Raphael Groner 2016-12-07 22:22:27 UTC
Spec URL: https://raphgro.fedorapeople.org/review/util/ecryptfs-simple.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/ecryptfs-simple-2016.11.16.1-1.fc25.src.rpm
Description: A CLI front end to ecryptfs that works with normal user account
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=16790894

ecryptfs-simple is needed for a feature in zulucrypt 5.0.2:
""
Upstream is very much alive,i created this fork just to put the code on github because upstream isnt here.

Its easier to keep track of changes,accept bug reports,pull requests and have discussions when projects are hosted "properly".

Functionality wise,this forks adds support for unlocking volumes in read only mode but i think upstream will eventually add it.
""
https://github.com/mhogomchungu/ecryptfs-simple/issues/1

Comment 1 Yunying Sun 2016-12-08 02:59:17 UTC
(This is an un-official review from a new packager)

1. 
> %global _hardened_build
Seems _hardened_build is set as default starting from Fedora 23, according to: https://fedoraproject.org/wiki/Changes/Harden_All_Packages
Suppose this line can be removed?
 
2. 
> Source:         %{url}/releases/download/2016.11.16.1/%{name}.%{version}.tar.xz
Use (%version) instead of 2016.11.16.1.

3. 
> #BuildRequires: gcc
> #BuildRequires: gcc-c++
BR for gcc & gcc-c++ would be required according to: http://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B

4. 
> %setup -qn%{name}.%{version}
missing a space before %{name}?

Comment 2 Raphael Groner 2016-12-09 17:52:08 UTC
(In reply to Yunying Sun from comment #1)
> (This is an un-official review from a new packager)
> 
> 1. 
> > %global _hardened_build
> Seems _hardened_build is set as default starting from Fedora 23, according
> to: https://fedoraproject.org/wiki/Changes/Harden_All_Packages
> Suppose this line can be removed?

fedora-review said to need this line.


> 2. 
> > Source:         %{url}/releases/download/2016.11.16.1/%{name}.%{version}.tar.xz
> Use (%version) instead of 2016.11.16.1.

OK, but this is no blocker.

> 3. 
> > #BuildRequires: gcc
> > #BuildRequires: gcc-c++
> BR for gcc & gcc-c++ would be required according to:
> http://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B

fedora-review said to remove these lines. cmake (and rpmbuild) depends on gcc anyways. No blocker here, too.
https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler

> 4. 
> > %setup -qn%{name}.%{version}
> missing a space before %{name}?

OK, but this is no blocker.

Comment 3 Jason Tibbitts 2016-12-09 18:19:08 UTC
Fedora-review could use some bug reports for these.  I'm not sure who is working on it these days and sadly I don't have the time to fix it up.

%_hardened_build is set by default on all active Fedora releases.

The dependencies of rpm-build can and do change; perl-generators was a dependency in F24 but isn't in F25, for example.  You can assume only that you have the basic shell utilities and what's necessary for you to unpack the common archive formats (so %setup works) and for RPM to actually build packages.  That's all.

Comment 4 Rex Dieter 2017-02-07 23:10:02 UTC
I can review this.

Comment 5 Rex Dieter 2017-02-07 23:25:43 UTC
naming: ok

sources: ok
09d747c5bf7e071f10c3b0833dd3400b  ecryptfs-simple.2016.11.16.1.tar.xz

1.  hardended_build, agree with sentiments so far, including the macro here serves no useful purpose, SHOULD remove it

2.  MUST add
BuildRequires: gcc
(gcc-c++ appears unused).  all dependencies must be explicitly included (should not implicitly rely on other packages to pull this in for you).
Given this addition, then you SHOULD remove:
BuildRequires: glibc-devel
(it is a direct dependency of gcc)

3.  SHOULD use
make install/fast ...
instead of
%{make_install}
macro (which is tailored for autoconf/automake projects)

4. MUST remove scriptlet:
%post
chmod 4755 %{_bindir}/%{name}
if the binary needs special permissions, either fix in %install or do it via %attr, not in a scriptlet

5.  licensing not ok, MUST change to
License: GPLv2
included ecryptfs-simple.c is clearly v2 only (no ... or later clause).

Comment 6 Rex Dieter 2017-02-08 16:59:30 UTC
for item 4, in case you're unfamiliar with %attr usage, see:
http://rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html

Comment 7 Rex Dieter 2017-02-12 14:12:24 UTC
ping, any update?

Comment 8 Raphael Groner 2017-02-26 19:43:08 UTC
Ad item 4: I am not sure if we intentionally need the setuid bit. Let's try clearly without.

Spec URL: https://raphgro.fedorapeople.org/review/util/ecryptfs-simple.spec
SRPM URL: https://raphgro.fedorapeople.org/review/util/ecryptfs-simple-2016.11.16.1-2.fc25.src.rpm

%changelog
* Thu Feb 26 2017 Raphael Groner <> - 2016.11.16.1-2
- remove useless _hardened_build macro
- fix needed BR for gcc
- use make install/fast
- remove chmod scriptlet
- use GPLv2

Comment 9 Rex Dieter 2017-02-28 14:36:44 UTC
Thanks, looks good, APPROVED

Comment 10 Raphael Groner 2017-02-28 19:41:00 UTC
Thanks for the review!

Comment 11 Gwyn Ciesla 2017-02-28 19:43:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ecryptfs-simple

Comment 12 Fedora Update System 2017-03-01 06:30:57 UTC
ecryptfs-simple-2016.11.16.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-948b76f5ce

Comment 13 Fedora Update System 2017-03-01 06:32:52 UTC
ecryptfs-simple-2016.11.16.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-077a3a307d

Comment 14 Fedora Update System 2017-03-02 00:07:42 UTC
ecryptfs-simple-2016.11.16.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-14e1c5870c

Comment 15 Fedora Update System 2017-03-02 00:07:48 UTC
zulucrypt-5.1.0-3.fc25 ecryptfs-simple-2016.11.16.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d3ed084484

Comment 16 Fedora Update System 2017-03-02 02:21:48 UTC
ecryptfs-simple-2016.11.16.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-077a3a307d

Comment 17 Fedora Update System 2017-03-02 02:52:19 UTC
ecryptfs-simple-2016.11.16.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-948b76f5ce

Comment 18 Fedora Update System 2017-03-03 04:52:31 UTC
ecryptfs-simple-2016.11.16.1-3.fc25, zulucrypt-5.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d3ed084484

Comment 19 Fedora Update System 2017-03-03 05:23:34 UTC
ecryptfs-simple-2016.11.16.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-14e1c5870c

Comment 20 Fedora Update System 2017-03-11 11:49:53 UTC
ecryptfs-simple-2016.11.16.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-03-11 12:20:15 UTC
ecryptfs-simple-2016.11.16.1-3.fc25, zulucrypt-5.1.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.